/**  版本信息模板在安装目录下，可自行修改。
* T_Equipment.cs
*
* 功 能： N/A
* 类 名： T_Equipment
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/10/9 09:54:19   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Collections.Generic;
 
using RMYY_CallCenter_Api.Model;
namespace RMYY_CallCenter_Api.BLL
{
	/// <summary>
	/// T_Equipment
	/// </summary>
	public partial class T_Equipment
	{
		private readonly RMYY_CallCenter_Api.DAL.T_Equipment dal=new RMYY_CallCenter_Api.DAL.T_Equipment();
		public T_Equipment()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_EquipID)
		{
			return dal.Exists(F_EquipID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(RMYY_CallCenter_Api.Model.T_Equipment model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_Equipment model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_EquipID)
		{
			
			return dal.Delete(F_EquipID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_EquipIDlist )
		{
			return dal.DeleteList(F_EquipIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Equipment GetModel(int F_EquipID)
		{
			
			return dal.GetModel(F_EquipID);
		}

	 
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<RMYY_CallCenter_Api.Model.T_Equipment> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<RMYY_CallCenter_Api.Model.T_Equipment> DataTableToList(DataTable dt)
		{
			List<RMYY_CallCenter_Api.Model.T_Equipment> modelList = new List<RMYY_CallCenter_Api.Model.T_Equipment>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				RMYY_CallCenter_Api.Model.T_Equipment model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = dal.DataRowToModel(dt.Rows[n]);
					if (model != null)
					{
						modelList.Add(model);
					}
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

